<?php
/*
menu.php v3 by kristoffe brodeur. 2010 All Rights Reserved.
01-24-2010 made the function return an error instead of endlessly looping when then menu file does not exist
11-08-2010 added draw_menu to allow multiple menus listed easily ($to_root,$fName)
12-27-2010 added draw_menus
04-23-2011 fixed missing subMenu now combined menu.php versions
		   fixed newline and cr lf differences per server reading the txt files
04-30-2011 added a return array, [0] is string for html menu, [1] is the page to load by default
11-19-2011 photog jquery addition ad_gallery
*/
//
if(isset($_GET['sub']))
	{
	$sub=$_GET['sub'];
	}
else
	{
	$sub=-1;
	}
//-----
function readMenuArray($link)
	{
	//
	if(file_exists($link))
		{
		$handle=@fopen($link,"r");
		$txtfile="";
		//
		while(!feof($handle))
			{$txtfile.=fgets($handle,4096);}
		//$menuItems=split("[\n]", $txtfile);
		$txtfile=preg_replace('/\r\n|\r/', "\n", $txtfile);//are there differences in the newline? linux read the txt file, windows? etc... normalize just to \n
		$menuItems=preg_split("/[\n]/",$txtfile);
		}
	else
		{
		//split happens with 2 or more items, ergo the ending array item ""
		$menuItems=Array("-^-^error: $link does not exist^-\n","");
		}
	return($menuItems);
	}
//-----
function draw_links_acf($to_root)
	{
	$menuArr=readMenuArray($to_root."menus/links.txt");
	$lenM=count($menuArr);
	$menuStr="";
	//
	for($a=0;$a<$lenM;$a++)
		{
		$tempArr=explode("^",$menuArr[$a]);
		$link=$to_root.$tempArr[0];
		$menuStr.="
		<a href='$link'><img src='".$to_root."iconz/".$tempArr[1].".gif' /></a><br>
		";
		}
	return $menuStr;
	}
//-----
function draw_menu_acf($to_root)
	{
	$menuArr=readMenuArray($to_root."menus/main.txt");
	$lenM=count($menuArr);
	$menuStr="";
	//
	for($a=0;$a<$lenM;$a++)
		{
		$tempArr=explode("^",$menuArr[$a]);
		$link=$to_root.$tempArr[0].$tempArr[1];
		$menuStr.="
		<a href='$link'>".$tempArr[2]."</a>
		";
		}
	return $menuStr;
	}
//-----
function draw_menu($to_root,$fName)
	{
	$menuItems=readMenuArray($to_root.$fName);
	$len=count($menuItems);//defined in menu.php
	$menu='<div class="menu">|';
	//looping through the text file with ^ are the delimiter for folder^file^title^*(submenu-not used)
	for($a=0;$a<$len-1;$a++)
		{
		$parts=explode("^",$menuItems[$a]);//can't use ^ with split, have to use explode, unless you use \^ to escape the special character
		$addy=$parts[0].$parts[1];
		$menu.=' <a href="'.$to_root.$addy.'" />'.$parts[2].'</a> |';
		}
	$menu.="</div>";
	return $menu;
	}
//-----
function draw_menus($to_root,$folder,$sentStrArr)
	{
	//
	$tArr=split(",",$sentStrArr);
	$lenT=count($tArr);
	$menuStr="";
	//
	for($a=0;$a<$lenT;$a++)
		{
		$menuStr.=draw_menu($to_root,$folder."/".$tArr[$a].".txt");
		}
	return $menuStr;
	}
//-----
function subMenuGallery_adGallery($link)
	{
	//
	if(!isset($sub))
		{
		$sub=0;
		}
	$subPage="";
	$subMenuArr=readMenuArray($link);
	$subMenuStr="";
	$lenS=count($subMenuArr);
	//
	if(isset($_GET['sub']))
		{
		$sub=$_GET['sub'];
		}
	$firstGallery="";
	//
	for($s=0;$s<$lenS;$s++)
		{
		$tmpArr=split(",",$subMenuArr[$s]);
		$galleryCode=$tmpArr[0];//just the gallery name for the jquery version for now (not as versatile but quick for photog)
		$styleBeg="";
		$styleEnd="";
		//
		if($s==$sub)
			{
			$subPage=$tmpArr[0];
			$styleBeg="<span class='subSel'>";
			$styleEnd="</span>";
			//echo $subPage;
			}
		$subMenuStr.="
				<div class='subItem'>
					<a href='#' onclick='load_galleryStr(\"".$galleryCode."\");'>$styleBeg".$tmpArr[1]."$styleEnd</a>
				</div>";	
		}
	$subMenuArr[0]=$subMenuStr;
	$subMenuArr[1]=$sub;
	$subMenuArr[2]=$subPage;
	return $subMenuArr;	
	}
//-----
function subMenuGallery($link,$sub)
	{
	//
	if(!isset($sub))
		{
		$sub=0;
		}
	$subPage="";
	$subMenuArr=readMenuArray($link);
	$subMenuStr="";
	$lenS=count($subMenuArr);
	//
	if(isset($_GET['sub']))
		{
		$sub=$_GET['sub'];
		}
	$firstGallery="";
	//
	for($s=0;$s<$lenS;$s++)
		{
		$tmpArr=split(",",$subMenuArr[$s]);
		$galleryCode="gallery.php?f=".$tmpArr[0];
		$styleBeg="";
		$styleEnd="";
		//
		if($s==$sub)
			{
			$subPage=$tmpArr[0];
			$styleBeg="<span class='subSel'>";
			$styleEnd="</span>";
			//echo $subPage;
			}
		$subMenuStr.="
				<div class='subItem'>
					<a href='#' onclick='load_subMenuG(\"".$galleryCode."\",$s)'>$styleBeg".$tmpArr[1]."$styleEnd</a>
				</div>";	
		}
	$subMenuArr[0]=$subMenuStr;
	$subMenuArr[1]=$sub;
	$subMenuArr[2]=$subPage;
	return $subMenuArr;	
	}
//-----
function subMenu($link,$sub)
	{
	//
	if(!isset($sub))
		{
		$sub=0;
		}
	$subPage="";
	$menuStr="";
	$menuArr=array();
	$mainArr=readMenuArray($link);
	$lenS=count($mainArr);
	//
	if(isset($_GET['sub']))
		{
		$sub=$_GET['sub'];
		}
	$pages="";
	//
	for($s=0;$s<$lenS;$s++)
		{
		$subArr=split(",",$mainArr[$s]);
		$styleBeg="";
		$styleEnd="";
		//
		if($s==$sub)
			{
			$subPage=$subArr[0];
			$styleBeg="<span class='subSel'>";
			$styleEnd="</span>";
			//echo $subPage;
			}
	
		$menuStr.="
			<div class='subItem'>
				<a href='#' onclick='load_subMenu(\"".$subArr[0]."\",$s)'>$styleBeg".$subArr[1]."$styleEnd</a>
			</div>";		
		//
		$pages.=$subArr[0];
		//
		if($a<$len-2)
			{
			$pages.=",";
			}
		}
	$menuArr[0]=$menuStr;
	$menuArr[1]=$subPage;
	$menuArr[2]=$pages;
	return $menuArr;
	}
//-----
function robotSubMenu($link)
	{
	//hidden but gives good tracking for site
	$menuStr="<div id='robotSubMenu'>";
	$mainArr=readMenuArray($link);
	$lenS=count($mainArr);
	//
	for($s=0;$s<$lenS;$s++)
		{
		$subArr=split(",",$mainArr[$s]);
		$menuStr.="<a href='".$subArr[0]."'>".$subArr[1]."</a>";
		}
	$menuStr.="</div>";
	return $menuStr;
	}
?>